Update training assignments.
Rate limit: 10 requests/sec (learn more about rate limits here).
To use this endpoint, select Write Training Assignments under the Training Assignments category when creating or editing an API token. Learn More.
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
curl --request PATCH \
--url https://api.samsara.com/training-assignments \
--header 'Authorization: Bearer <token>'{
"data": [
{
"course": {
"id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
"revisionId": "1214a1fa-f0c6-408b-bf85-51dc3bc71ac7"
},
"createdAtTime": "2019-06-13T19:08:25Z",
"createdById": "user-4392",
"durationMinutes": 3495523726907889000,
"id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
"learner": {
"id": "938172",
"type": "driver"
},
"status": "inProgress",
"updatedAtTime": "2019-06-13T19:08:25Z",
"updatedById": "user-3112",
"completedAtTime": "2019-06-13T19:08:25Z",
"deletedAtTime": "2019-06-13T19:08:25Z",
"dueAtTime": "2019-06-13T19:08:25Z",
"isCompletedLate": true,
"isOverdue": true,
"scorePercent": 0.770019485813057,
"startedAtTime": "2019-06-13T19:08:25Z"
}
]
}Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
String of comma separated assignments IDs. Max value for this value is 100 objects. Example: ids=a4db8702-79d5-4396-a717-e301d52ecc11,c6490f6a-d84e-49b5-b0ad-b6baae304075
Due date of the training assignment in RFC 3339 format. Millisecond precision and timezones are supported.
OK response.
List of updated training assignments.
Show child attributes
curl --request PATCH \
--url https://api.samsara.com/training-assignments \
--header 'Authorization: Bearer <token>'{
"data": [
{
"course": {
"id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
"revisionId": "1214a1fa-f0c6-408b-bf85-51dc3bc71ac7"
},
"createdAtTime": "2019-06-13T19:08:25Z",
"createdById": "user-4392",
"durationMinutes": 3495523726907889000,
"id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
"learner": {
"id": "938172",
"type": "driver"
},
"status": "inProgress",
"updatedAtTime": "2019-06-13T19:08:25Z",
"updatedById": "user-3112",
"completedAtTime": "2019-06-13T19:08:25Z",
"deletedAtTime": "2019-06-13T19:08:25Z",
"dueAtTime": "2019-06-13T19:08:25Z",
"isCompletedLate": true,
"isOverdue": true,
"scorePercent": 0.770019485813057,
"startedAtTime": "2019-06-13T19:08:25Z"
}
]
}